View Issue Details

IDProjectCategoryView StatusLast Update
0000401WackoWikihandlerpublic2012-03-14 10:18
Reporteradministrator Assigned Toadministrator  
PriorityhighSeveritycrashReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version5.0.rc 
Target Version5.0.0Fixed in Version5.0.0 
Summary0000401: Infinite redirect loop
DescriptionAfter moving a comment from one page to another using the Moderate handler, every page ends up in an infinite redirect loop.

After examining the cause, the Moderate handler set not only the new 'comment_on_id' for the moved comment but also for all pages with 'comment_on_id' == 0.

Fix in work, more soon.


Steps To Reproducecause: empty array -> no 'id' was set / selected

Array
(
    [0] =>
)

Additional InformationHotfix:

UPDATE prefix_page SET comment_on_id = '0'
WHERE comment_on_id = 'new_number_for_moved_comment';

Set the correct comment_on_id for the original moved comment.
TagsNo tags attached.

Activities

administrator

2012-01-30 16:07

administrator   ~0000840

Last edited: 2012-01-30 16:58

View 3 revisions

if(array_filter($array))
$array contains at least one non-empty element
else
$array contains 0 elements or all elements are empty

http://php.net/manual/en/function.array-filter.php

-> show message if no item was selected

administrator

2012-01-30 18:50

administrator   ~0000841

http://wackowiki.hg.sourceforge.net/hgweb/wackowiki/dev/file/10fe69aeb92d/wacko/handlers/page/moderate.php

Issue History

Date Modified Username Field Change
2011-11-01 10:43 administrator New Issue
2011-11-01 10:43 administrator Status new => assigned
2011-11-01 10:43 administrator Assigned To => administrator
2011-11-01 10:48 administrator Description Updated View Revisions
2012-01-30 15:50 administrator Description Updated View Revisions
2012-01-30 15:50 administrator Steps to Reproduce Updated View Revisions
2012-01-30 15:51 administrator Steps to Reproduce Updated View Revisions
2012-01-30 16:07 administrator Note Added: 0000840
2012-01-30 16:34 administrator Note Edited: 0000840 View Revisions
2012-01-30 16:58 administrator Note Edited: 0000840 View Revisions
2012-01-30 18:50 administrator Note Added: 0000841
2012-03-11 16:47 administrator Status assigned => resolved
2012-03-11 16:47 administrator Resolution open => fixed
2012-03-11 16:47 administrator Fixed in Version => 5.0.0
2012-03-14 10:18 administrator File Added: wacko_fresh_2151.patch
2012-03-14 10:18 administrator File Deleted: wacko_fresh_2151.patch